package com.sunxung.factoring.entity.salescontractmanagement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;
import com.sunxung.factoring.entity.sys.FileStorage;

import java.util.List;

/**
 * <p>
 * 销售合同变更-签署确认审核表
 * </p>
 *
 * @author yafan
 * @since 2023-12-13
 */
@TableName("sales_supplement_sign_confirmation_approval")
public class SalesSupplementSignConfirmationApproval extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 销售合同变更信息表Id
     */
    @TableField("c_sales_contract_supplement_info_id")
    private Long cSalesContractSupplementInfoId;

    /**
     * 通过pass/退回back
     */
    @TableField("approval_conclusion")
    private String approvalConclusion;

    /**
     * 审批意见
     */
    @TableField("approval_comments")
    private String approvalComments;

    @TableField(exist = false)
    private String taskId;

    @TableField(exist = false)
    private Long businessKey;

    @TableField(exist = false)
    private List<FileStorage> files;

    public Long getcSalesContractSupplementInfoId() {
        return cSalesContractSupplementInfoId;
    }

    public void setcSalesContractSupplementInfoId(Long cSalesContractSupplementInfoId) {
        this.cSalesContractSupplementInfoId = cSalesContractSupplementInfoId;
    }

    public String getApprovalConclusion() {
        return approvalConclusion;
    }

    public void setApprovalConclusion(String approvalConclusion) {
        this.approvalConclusion = approvalConclusion;
    }

    public String getApprovalComments() {
        return approvalComments;
    }

    public void setApprovalComments(String approvalComments) {
        this.approvalComments = approvalComments;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public Long getBusinessKey() {
        return businessKey;
    }

    public void setBusinessKey(Long businessKey) {
        this.businessKey = businessKey;
    }

    public List<FileStorage> getFiles() {
        return files;
    }

    public void setFiles(List<FileStorage> files) {
        this.files = files;
    }

    @Override
    public String toString() {
        return "SalesSupplementSignConfirmationApproval{" +
                ", cSalesContractSupplementInfoId=" + cSalesContractSupplementInfoId +
                ", approvalConclusion=" + approvalConclusion +
                ", approvalComments=" + approvalComments +

                "}";
    }
}
